/**
 * 一些常用规则
 * @link https://any-rule.vercel.app/
 */

export enum Regex {
  Url = '^(((ht|f)tps?):\\\/\\\/)?([^!@#$%^&*?.\\s-]([^!@#$%^&*?.\\s]{0,63}[^!@#$%^&*?.\\s])?\\.)+[a-z]{2,6}\\\/?',
  // 邮箱地址
  Email = '^(([^<>()[\\]\\\\.,;:\\s@"]+(\\.[^<>()[\\]\\\\.,;:\\s@"]+)*)|(".+"))@((\\[[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\])|(([a-zA-Z\\-0-9]+\\.)+[a-zA-Z]{2,}))$',
  // 路由名字，必须是大驼峰写法
  RouteName = '^[A-Z][a-zA-Z]*$',
  // 路由路径，确保整个路径以 / 开头，并且路径的每个部分都必须是 kebab-case 格式（即小写字母和连字符的组合）。
  RoutePath = '^\\/([a-z]+(-[a-z]+)*)+(\\/[a-z]+(-[a-z]+)*)*$',
  // 组件路径， 确保路径以 / 开头，路径部分是小驼峰（camelCase）格式，结尾是 .vue 文件扩展名。
  ComponentsPath = '^\\/(?:[a-z]+[a-zA-Z0-9]*\\/)*[a-z]+[a-zA-Z0-9]*\\.vue$',
  // 手机号码
  Phone = '^(?:(?:\\+|00)86)?1(?:(?:3[\\d])|(?:4[5-79])|(?:5[0-35-9])|(?:6[5-7])|(?:7[0-8])|(?:8[\\d])|(?:9[01256789]))\\d{8}$',
}
